POST gls/api/reports/acct-per-project-client
Request Information
URI Parameters
None.
Body Parameters
AcctPerProjectClientRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ProcessMonth | integer |
None. |
|
| ProcessYear | integer |
None. |
|
| AuxCodeFrom | string |
None. |
|
| AuxCodeTo | string |
None. |
|
| AccountCode | string |
None. |
|
| IsAsOf | boolean |
None. |
|
| IsMonthly | boolean |
None. |
|
| IsDebit | boolean |
None. |
|
| IsCredit | boolean |
None. |
|
| IsNetOut | boolean |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"processMonth": 1,
"processYear": 2,
"auxCodeFrom": "sample string 3",
"auxCodeTo": "sample string 4",
"accountCode": "sample string 5",
"isAsOf": true,
"isMonthly": true,
"isDebit": true,
"isCredit": true,
"isNetOut": true,
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<AcctPerProjectClientRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <AccountCode>sample string 5</AccountCode> <AuxCodeFrom>sample string 3</AuxCodeFrom> <AuxCodeTo>sample string 4</AuxCodeTo> <IsAsOf>true</IsAsOf> <IsCredit>true</IsCredit> <IsDebit>true</IsDebit> <IsMonthly>true</IsMonthly> <IsNetOut>true</IsNetOut> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <ProcessMonth>1</ProcessMonth> <ProcessYear>2</ProcessYear> <UserId>1</UserId> </AcctPerProjectClientRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.